#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>
#include <X11/Xaw/Cardinals.h>
#include <X11/Xaw/Command.h>
#include <X11/Xaw/Label.h>
#include "Pasteup.h"

static void SetValuesCB(w, closure, callData)
    Widget w;
    XtPointer closure;
    XtPointer callData;
{
    DoSetValues(w);
}

main(argc, argv)
    int argc;
    char *argv[];
{
    XtAppContext app;
    Widget top = XtAppInitialize(&app, "Demo", NULL, ZERO, &argc, argv,
				 NULL, NULL, ZERO);

    Widget board = XtCreateManagedWidget("board", pasteupWidgetClass,
					 top, NULL, ZERO);

    Widget command = XtCreateManagedWidget("command", commandWidgetClass,
					   board, NULL, ZERO);

    Widget label = XtCreateManagedWidget("label", labelWidgetClass,
					 board, NULL, ZERO);

    XtAddCallback(command, XtNcallback, SetValuesCB, NULL);

    XtRealizeWidget(top);

    XtAppMainLoop(app);
}
